Trigonometric Functions
Base Module » Basic and Miscellaneous Math Functions

## Functions

double | itpp::sinc (double x)
| Sinc function: sinc(x) = sin(pi*x)/pi*x.
vec | itpp::sin (const vec &x)
| Sine function.
mat | itpp::sin (const mat &x)
| Sine function.
vec | itpp::cos (const vec &x)
| Cosine function.
mat | itpp::cos (const mat &x)
| Cosine function.
vec | itpp::tan (const vec &x)
| Tan function.
mat | itpp::tan (const mat &x)
| Tan function.
vec | itpp::asin (const vec &x)
| Inverse sine function.
mat | itpp::asin (const mat &x)
| Inverse sine function.
vec | itpp::acos (const vec &x)
| Inverse cosine function.
mat | itpp::acos (const mat &x)
| Inverse cosine function.
vec | itpp::atan (const vec &x)
| Inverse tan function.
mat | itpp::atan (const mat &x)
| Inverse tan function.
vec | itpp::sinc (const vec &x)
| Sinc function, sin(pi*x)/(pi*x)
mat | itpp::sinc (const mat &x)
| Sinc function, sin(pi*x)/(pi*x)

## Detailed Description

## Function Documentation

## sinc() [1/3]

double itpp::sinc | ( | double | x | ) |

inline

Sinc function: sinc(x) = sin(pi*x)/pi*x.

Definition at line 42 of file trig_hyp.h.

References itpp::pi, and itpp::sin().

Referenced by itpp::fir1(), itpp::Raised_Cosine< T1 >::set_pulse_shape(), itpp::sinc(), and itpp::sinc().

## sin() [1/2]

vec itpp::sin | ( | const vec & | x | ) |

inline

Sine function.

Definition at line 54 of file trig_hyp.h.

Referenced by itpp::chebwin(), itpp::freqz(), itpp::freqz(), itpp::Rice_Fading_Generator::init_MEDS(), and itpp::sinc().

## sin() [2/2]

mat itpp::sin | ( | const mat & | x | ) |

inline

Sine function.

Definition at line 56 of file trig_hyp.h.

## cos() [1/2]

vec itpp::cos | ( | const vec & | x | ) |

inline

Cosine function.

Definition at line 58 of file trig_hyp.h.

Referenced by itpp::arma_estimator(), itpp::chebwin(), itpp::freqz(), itpp::freqz(), and itpp::Rice_Fading_Generator::generate().

## cos() [2/2]

mat itpp::cos | ( | const mat & | x | ) |

inline

Cosine function.

Definition at line 60 of file trig_hyp.h.

## tan() [1/2]

vec itpp::tan | ( | const vec & | x | ) |

inline

Tan function.

Definition at line 62 of file trig_hyp.h.

## tan() [2/2]

mat itpp::tan | ( | const mat & | x | ) |

inline

Tan function.

Definition at line 64 of file trig_hyp.h.

## asin() [1/2]

vec itpp::asin | ( | const vec & | x | ) |

inline

Inverse sine function.

Definition at line 66 of file trig_hyp.h.

## asin() [2/2]

mat itpp::asin | ( | const mat & | x | ) |

inline

Inverse sine function.

Definition at line 68 of file trig_hyp.h.

## acos() [1/2]

vec itpp::acos | ( | const vec & | x | ) |

inline

Inverse cosine function.

Definition at line 70 of file trig_hyp.h.

## acos() [2/2]

mat itpp::acos | ( | const mat & | x | ) |

inline

Inverse cosine function.

Definition at line 72 of file trig_hyp.h.

## atan() [1/2]

vec itpp::atan | ( | const vec & | x | ) |

inline

Inverse tan function.

Definition at line 74 of file trig_hyp.h.

## atan() [2/2]

mat itpp::atan | ( | const mat & | x | ) |

inline

Inverse tan function.

Definition at line 76 of file trig_hyp.h.

## sinc() [2/3]

vec itpp::sinc | ( | const vec & | x | ) |

inline

Sinc function, sin(pi*x)/(pi*x)

Definition at line 78 of file trig_hyp.h.

References itpp::sinc().

## sinc() [3/3]

mat itpp::sinc | ( | const mat & | x | ) |

inline

Sinc function, sin(pi*x)/(pi*x)

Definition at line 80 of file trig_hyp.h.

References itpp::sinc().

Generated on Mon Apr 22 2024 09:45:27 for IT++ by Doxygen 1.9.8